
/*
 * @(#)StockClient.java	1.16 99/01/07
 *
 * Copyright (c) 1993-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You shall
 * not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package examples.stock;

import com.sun.media.jsdt.*;
import com.sun.media.jsdt.event.*;

/**
 * Stock quote client. Uses yahoo to obtain stock quote information.
 *
 * @version     1.5 - 7th January 1999
 * @author      Amith Yamasani
 * @author      Rich Burridge
 */

public class
StockClient implements Client {

    protected String name;

    public
    StockClient(String name) {
        this.name = name;
    }


    public Object
    authenticate(AuthenticationInfo info) {
        System.err.println("StockClient: authenticate."); 
	return(null);
    }


    public String
    getName() {
        return(name);
    }
}
