
/*
 * @(#)SoundDebugFlags.java	1.16 99/01/07
 *
 * Copyright (c) 1993-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You shall
 * not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package examples.sound;

/**
 * Sound example debug flags interface.
 *
 * @version     1.5 - 7th January 1999
 * @author      Rich Burridge
 */

public
interface SoundDebugFlags {

    static final boolean AudioClick_Debug      = false;
    static final boolean AudioConsumer_Debug   = false;
    static final boolean AudioFileReader_Debug = false;
    static final boolean CommandConsumer_Debug = false;
    static final boolean PlayAudioFile_Debug   = false;
    static final boolean SendSoundInfo_Debug   = false;
    static final boolean SoundCanvas_Debug     = false;
    static final boolean SoundClient_Debug     = false;
    static final boolean SoundListener_Debug   = false;
    static final boolean SoundServer_Debug     = false;
    static final boolean SoundUser_Debug       = false;
    static final boolean SoundUserFrame_Debug  = false;
    static final boolean Speaker_Debug         = false;
}
