
/*
 * @(#)StockDebugFlags.java	1.23 99/04/20
 *
 * Copyright (c) 1993-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You shall
 * not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package examples.stock;

/**
 * Stock example debug flags interface.
 *
 * @version     1.5 - 7th January 1999
 * @author      Amith Yamasani
 * @author      Rich Burridge
 */

public
interface StockDebugFlags {

    static final boolean StockButton_Debug       = false;
    static final boolean StockClient_Debug       = false;
    static final boolean StockListener_Debug     = false;
    static final boolean StockMonitor_Debug      = false;
    static final boolean StockMonitorFrame_Debug = false;
    static final boolean StockPanel_Debug        = false;
    static final boolean StockRecord_Debug       = false;
    static final boolean StockServer_Debug       = false;
    static final boolean StockViewer_Debug       = false;
    static final boolean StockViewerFrame_Debug  = false;
}
